import { defineComponent as u, mergeModels as c, useModel as m, createElementBlock as p, openBlock as d, createVNode as l, unref as e } from "vue";
import { useI18n as f } from "vue-i18n";
import { j as a, n as b, a8 as g } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { p as y } from "./PricingController-Bn7qwpk_.mjs";
const C = /* @__PURE__ */ u({
  __name: "PriceToFloatConfiguration",
  props: /* @__PURE__ */ c({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(i) {
    const t = m(i, "modelValue"), { t: n } = f();
    return (v, o) => (d(), p("div", null, [
      l(e(a), {
        data: e(b).getCountriesCached,
        text: t.value.country,
        label: e(n)("pim.etl.PriceToFloatConfiguration.country"),
        "item-title": "name",
        "item-value": "code3digit",
        search: "",
        select: "",
        "page-size": "",
        class: "mb-4",
        onChange: o[0] || (o[0] = (r) => t.value.country = r)
      }, null, 8, ["data", "text", "label"]),
      l(e(a), {
        data: e(y).listCurrencies,
        text: t.value.currency,
        label: e(n)("pim.etl.PriceToFloatConfiguration.currency"),
        "item-title": "currency",
        "item-value": "currency",
        select: "",
        class: "mb-4",
        onChange: o[1] || (o[1] = (r) => t.value.currency = r)
      }, null, 8, ["data", "text", "label"]),
      l(e(g), {
        modelValue: t.value.isGross,
        "onUpdate:modelValue": o[2] || (o[2] = (r) => t.value.isGross = r),
        label: e(n)("pim.etl.PriceToFloatConfiguration.destIsGross")
      }, null, 8, ["modelValue", "label"])
    ]));
  }
});
function s(i) {
  const t = i;
  t.__i18n = t.__i18n || [], t.__i18n.push({
    locale: "",
    resource: {
      "en-US": {
        pim: {
          etl: {
            PriceToFloatConfiguration: {
              country: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Country" } },
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Currency" } },
              destIsGross: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Destination gross" } }
            }
          }
        }
      },
      "de-DE": {
        pim: {
          etl: {
            PriceToFloatConfiguration: {
              country: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Land" } },
              currency: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Währung" } },
              destIsGross: { t: 0, b: { t: 2, i: [{ t: 3 }], s: "Ziel brutto" } }
            }
          }
        }
      }
    }
  });
}
typeof s == "function" && s(C);
export {
  C as default
};
